Skip to main content
PUT
/
organization
/
{organizationId}
/
labelsGroups
/
{labelsGroupId}
Edit organization labels group
curl --request PUT \
  --url https://api.qovery.com/organization/{organizationId}/labelsGroups/{labelsGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "labels": [
    {
      "key": "<string>",
      "value": "<string>",
      "propagate_to_cloud_provider": true
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "labels": [
    {
      "key": "<string>",
      "value": "<string>",
      "propagate_to_cloud_provider": true
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

labelsGroupId
string<uuid>
required

Organization labels group ID

Body

application/json
name
string
required

name of the labels group

labels
object[]
required

Response

Edit organization labels groups

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
labels
object[]
required
updated_at
string<date-time>
read-only